//
//  BatteryView.m
//  AsCameraScan
//
// Created by Asterisk.Inc on 2018/4/27.
// Copyright © 2018年 Asterisk.Inc. All rights reserved.
//

#import "BatteryView.h"

@implementation BatteryView {
    BOOL isShow;
}
static BatteryView * _bat = nil;
+ (BatteryView *)sharedBatteryView {
    static dispatch_once_t onceToken;
    dispatch_once(&onceToken, ^{
        _bat = [[BatteryView alloc] init];
        [_bat setFrame:CGRectMake(0, 0, 40, 20)];
        _bat.backgroundColor = [UIColor clearColor];
    });
    return _bat;
}

-(void)setBatteryViewHidden:(BOOL)hidden {
    [[BatteryView sharedBatteryView] setHidden:hidden];
}

- (void)setBatteryVolumeImage:(int)battery {
    [[BatteryView sharedBatteryView] setHidden:NO];
    if (battery == 0) {
        [BatteryView sharedBatteryView].image = [UIImage imageNamed:@"battery0.png"];
    }else if(battery > 0 && battery <= 25) {
        [BatteryView sharedBatteryView].image = [UIImage imageNamed:@"battery1.png"];
    }else if(battery > 25 && battery <= 50) {
        [BatteryView sharedBatteryView].image = [UIImage imageNamed:@"battery2.png"];
    }else if(battery > 50 && battery <= 75) {
        [BatteryView sharedBatteryView].image = [UIImage imageNamed:@"battery3.png"];
    }else if(battery > 75 && battery <= 100) {
        [BatteryView sharedBatteryView].image = [UIImage imageNamed:@"battery4.png"];
    }else {
        [BatteryView sharedBatteryView].image = [UIImage imageNamed:@"battery0.png"];
    }
    
}
@end
