//
//  System.m
//  KAGO
//
//  Created by mac on 2019/1/22.
//  Copyright © 2019年 quzhonggen. All rights reserved.
//

#import "System.h"

#define SETTING_KEY_AsFinger_NAME @"AsFinger_name"
#define SETTING_KEY_IS_AUTO_CONNECTED @"is_auto_connected"

static System *sharedSystem;
@implementation System
{
    NSUserDefaults *userDefault;
}

+ (System *)sharedSystem {
    if (!sharedSystem ) {
        sharedSystem = [[System alloc]init];
    }
    return sharedSystem;
}

- (instancetype)init {
    self = [super init];
    if (self) {
        userDefault = [NSUserDefaults standardUserDefaults];
    }
    return self;
}

- (NSString *)getAsFingerName {
    return [userDefault stringForKey:SETTING_KEY_AsFinger_NAME];
}

- (void)setAsFingerName:(NSString *)AsFingerName {
    [userDefault setValue:AsFingerName forKey:SETTING_KEY_AsFinger_NAME];
    [userDefault synchronize];
}

- (BOOL)getIsAutoConnected {
    return [userDefault boolForKey:SETTING_KEY_IS_AUTO_CONNECTED];
}

- (void)setIsAutoConnected:(BOOL)isAutoConnected {
    [userDefault setBool:isAutoConnected forKey:SETTING_KEY_IS_AUTO_CONNECTED];
    [userDefault synchronize];
}

@end
